<% if stage_performance_indicators.any? %>
## Stage PI Summary

<table>
  <thead>
    <tr>
     <th>Stage/Group</th>
      <th>PI Type</th>
      <th>PI</th>
      <th>Health</th>
      <th>SaaS / SM</th>
      <th>Implementation Status</th>
    </tr>
  </thead>
  <tbody>
    <% stage_performance_indicators.each do |kpi| %>
      <% if kpi.is_primary == true %>
        <% name_parts = kpi.name.split(' - ') %>
        <tr>
          <td> <%= name_parts[0] %> </td>
          <td> <%= name_parts[1] %> </td>
          <td><a href="#<%= kpi.name.gsub("/",'').gsub(/[!@%&"()$%^*,:;.]/, '').gsub(" ","-").downcase %>"><%= name_parts[2]%></a></td>
          <td><%= color_code_health kpi.health.level %></td>
          <td><%= kpi.product_analytics_type %></td>
          <td>
            <% if kpi.implementation %>
              <%= kpi.implementation.status %>
            <% end %>
          </td>
        </tr>
      <% end %>
    <% end %>
  </tbody>
</table>

<% end %>

<% if group_performance_indicators.any? %>
## Group PI Summary

<table>
  <thead>
    <tr>
     <th>Stage/Group</th>
      <th>PI Type</th>
      <th>PI</th>
      <th>Health</th>
      <th>SaaS / SM</th>
      <th>Implementation Status</th>
    </tr>
  </thead>
  <tbody>
    <% group_performance_indicators.each do |kpi| %>
      <% if kpi.is_primary == true %>
        <% name_parts = kpi.name.split(' - ') %>
        <tr>
          <td> <%= name_parts[0] %> </td>
          <td> <%= name_parts[1] %> </td>
          <td><a href="#<%= kpi.name.gsub("/",'').gsub(/[!@%&"()$%^*,:;.]/, '').gsub(" ","-").downcase %>"><%= name_parts[2]%></a></td>
          <td><%= color_code_health kpi.health.level %></td>
          <td><%= kpi.product_analytics_type %></td>
          <td>
            <% if kpi.implementation %>
              <%= kpi.implementation.status %>
            <% end %>
          </td>
        </tr>
      <% end %>
    <% end %>
  </tbody>
</table>

<% end %>

<% if stage_performance_indicators.any? %>
## Stage PI Details

<% stage_performance_indicators.each do |stage_pi| %>
### <%= partial 'includes/performance_indicator', locals: { performance_indicator: stage_pi } %>
<% end %>
<% end %>

<% if group_performance_indicators.any? %>
## Group PI Details

<% group_performance_indicators.each do |group_pi| %>
### <%= partial 'includes/performance_indicator', locals: { performance_indicator: group_pi } %>
<% end %>
<% end %>

<%= partial 'includes/performance_indicator_footer' %>
